<div class="form">
    <?php
        $form = $this->beginWidget('GxActiveForm', array(
            'id' => 'atendimentos-form',
            'enableAjaxValidation' => false,
        ));
    ?>

        <?php echo FaHtml::getFormInfo($form, $modelAtendimento); ?>

        <div class="row">
            <?php echo $form->labelEx($modelAtendimento, 'ATD_DTCADASTRO'); ?>
            <?php $form->widget('ext.Utils.widgets.CrmDatePicker', array('model' => $modelAtendimento, 'attribute' => 'ATD_DTCADASTRO')); ?>
            <?php echo $form->error($modelAtendimento, 'ATD_DTCADASTRO'); ?>
        </div><!-- row -->

        <div class="row">
            <?php echo $form->labelEx($modelAtendimento, 'ATD_HORAINICIO'); ?>
            <?php echo $form->textField($modelAtendimento, 'ATD_HORAINICIO', array('maxlength' => 5, 'class' => 'format_hora hora_inicio')); ?>
            <?php echo $form->error($modelAtendimento, 'ATD_HORAINICIO'); ?>
        </div><!-- row -->

        <div class="row">
            <?php echo $form->labelEx($modelAtendimento, 'ATD_HORAFINAL'); ?>
            <?php echo $form->textField($modelAtendimento, 'ATD_HORAFINAL', array('maxlength' => 5, 'class' => 'format_hora hora_final')); ?>
            <?php echo $form->error($modelAtendimento, 'ATD_HORAFINAL'); ?>
        </div><!-- row -->

        <div class="row">
            <?php echo $form->labelEx($modelAtendimento, 'ATD_TOTALHORAS'); ?>
            <?php echo $form->textField($modelAtendimento, 'ATD_TOTALHORAS', array('readonly' => 'enabled', 'class' => 'total_horas')); ?>
            <?php echo $form->error($modelAtendimento, 'ATD_TOTALHORAS'); ?>
        </div><!-- row -->

        <div class="row">
            <?php echo $form->labelEx($modelAtendimento, 'ATD_IDMOTIVO'); ?>
            <?php
                $motivos = GxHtml::listDataEx(
                    Motivos::model()->findAll("MOT_IDMOTIVO IN (454, 558, 572)")
                ); // Tentativa de contato e Contato com cliente que solicitou cancelamento

                if (!in_array(User::getPrivilegio(), [1, 6, 7, 8, 9, 13])) {
                    unset($motivos[558]);
                }
                echo $form->dropDownList($modelAtendimento, 'ATD_IDMOTIVO', $motivos, array(
                    'prompt' => 'Selecione',
                ));
            ?>
            <?php echo $form->error($modelAtendimento, 'ATD_IDMOTIVO'); ?>
        </div><!-- row -->

        <?php $display = $modelAtendimento->ATD_IDMOTIVO != 558 ? "block" : "none"; ?>
        <div class="row" style="display: <?= $display; ?>">
            <?php echo $form->labelEx($modelAtendimento, 'ATD_TIPO'); ?>
            <?php
                $tipos = array(
                    'MS' => 'Mídias Sociais',
                    'E' => 'E-mail',
                    'F' => 'Ligação Feita',
                    'M' => 'Skype',
                    'V' => 'Visita',
                    'O' => 'Outros',
                );
                echo $form->dropDownList($modelAtendimento, 'ATD_TIPO', $tipos, array(
                    'prompt' => 'Selecione',
                ));
            ?>
            <?php echo $form->error($modelAtendimento, 'ATD_TIPO'); ?>
        </div><!-- row -->

        <?php if (in_array(User::getPrivilegio(), [1, 6, 7, 8, 9, 13])) { ?>
            <?php $display = $modelAtendimento->ATD_IDMOTIVO == 558 ? "block" : "none"; ?>
            <div class="row" style="display: <?= $display; ?>">
                <?= $form->labelEx($modelAtendimento, 'ATD_IDFUNCIONARIO', array('label' => 'Vendedor')); ?>
                <?php
                    $funcionarios = User::getFuncionariosComercialAdministrativo();
                    echo $form->dropDownList($modelAtendimento, 'ATD_IDFUNCIONARIO', $funcionarios, array('prompt' => 'Selecione'));
                ?>
                <?= $form->error($modelAtendimento, 'ATD_IDFUNCIONARIO'); ?>
            </div><!-- row -->
        <?php } ?>

        <?php $display = $modelAtendimento->ATD_IDMOTIVO == 572 ? "block" : "none"; ?>
        <div class="row" style="display:<?= $display; ?>">
            <?php echo $form->labelEx($modelAtendimento, 'RESULTADO'); ?>
            <?php
                echo $form->dropDownList($modelAtendimento, 'RESULTADO', $model->resultados, array(
                    'prompt' => 'Aguardando conclusão da negociação'
                ));
            ?>
            <?php echo $form->error($modelAtendimento, 'RESULTADO'); ?>
        </div><!-- row -->

        <?php $display = $modelAtendimento->RESULTADO != ClientesCancelamentos::RESULTADO_NEGATIVO ? "none" : "block"; ?>
        <div class="row" style="display: <?= $display; ?>">
            <?php echo $form->labelEx($modelAtendimento, 'CLC_IDMOTIVO_VENDEDOR', array('required' => true)); ?>
            <?php
                $motivos = Motivos::model()->findAll("
                    MOT_TIPO = 3 AND
                    MOT_SITUACAO = 'A'
                    ORDER BY MOT_DESCRICAO ASC
                ");
                $opcoes = CHtml::listData($motivos, 'MOT_IDMOTIVO', 'MOT_DESCRICAO');
                echo $form->dropDownList($modelAtendimento, 'CLC_IDMOTIVO_VENDEDOR', $opcoes, array(
                    'prompt' => 'Selecione'
                ));
            ?>
            <?php echo $form->error($modelAtendimento, 'CLC_IDMOTIVO_VENDEDOR'); ?>
        </div>

        <?php $display = $modelAtendimento->RESULTADO != ClientesCancelamentos::RESULTADO_NEGATIVO ? "none" : "block"; ?>
        <div class="row" style="display: <?= $display; ?>">
            <?php
                echo $form->labelEx($modelAtendimento, 'CLC_INTERESSE_REATIVACAO', array(
                    'required' => true,
                ));
            ?>
            <?php
                $niveisInteresse = Util::getNiveisInteresseList([4]);
                echo $form->dropDownList($modelAtendimento, 'CLC_INTERESSE_REATIVACAO', $niveisInteresse, array(
                    'prompt' => 'Selecione'
                ));
            ?>
            <?php echo $form->error($modelAtendimento, 'CLC_INTERESSE_REATIVACAO'); ?>
        </div><!-- row -->

        <?php $display = $modelAtendimento->RESULTADO != ClientesCancelamentos::RESULTADO_POSITIVO ? "none" : "block"; ?>
        <div class="row" style="display: <?= $display; ?>">
            <?php
                echo $form->labelEx($modelAtendimento, 'CLC_MODIFICADO_CONTRATO', array(
                    'required' => true,
                ));
            ?>
            <?php
                $opcoes = array(
                    0 => "Não",
                    1 => "Sim",
                );
                echo $form->dropDownList($modelAtendimento, 'CLC_MODIFICADO_CONTRATO', $opcoes, array(
                    'prompt' => 'Selecione'
                ));
            ?>
            <?php echo $form->error($modelAtendimento, 'CLC_MODIFICADO_CONTRATO'); ?>
        </div><!-- row -->

        <?php $display = $modelAtendimento->ATD_IDMOTIVO != 558 ? "block" : "none"; ?>
        <div class="row" style="display: <?= $display; ?>">
            <?php echo $form->labelEx($modelAtendimento, 'ATD_CONTATO'); ?>
            <?php echo $form->textField($modelAtendimento, 'ATD_CONTATO'); ?>
            <?php echo $form->error($modelAtendimento, 'ATD_CONTATO'); ?>
        </div><!-- row -->

        <div class="row atd_obs">
            <?php echo $form->labelEx($modelAtendimento, 'ATD_OBS', array('label' => 'Observações')); ?>
            <?php echo $form->textArea($modelAtendimento, 'ATD_OBS'); ?>
            <?php echo $form->error($modelAtendimento, 'ATD_OBS'); ?>
        </div><!-- row -->

        <?= FaHtml::saveButton(); ?>
    <?php $this->endWidget(); ?>
</div>

<?php
$cs = Yii::app()->getClientScript();

$negativo = ClientesCancelamentos::RESULTADO_NEGATIVO;
$positivo = ClientesCancelamentos::RESULTADO_POSITIVO;
$script = <<<JAVASCRIPT
    $(document).ready(function() {
        $("#Atendimentos_ATD_IDMOTIVO").on('change', function() {
            var resultado = $("#Atendimentos_RESULTADO");
            if ($(this).val() == 572) { // Contato com cliente que solicitou cancelamento
                resultado.val("");
                resultado.parent().fadeIn(400);
            } else {
                resultado.parent().fadeOut(400);
            }
            resultado.change();

            var vendedor = $("#Atendimentos_ATD_IDFUNCIONARIO");
            var tipo = $("#Atendimentos_ATD_TIPO");
            var contato = $("#Atendimentos_ATD_CONTATO");
            if ($(this).val() == 558) { // Troca de vendedor
                vendedor.parent().fadeIn(400);

                tipo.val("O");
                tipo.parent().hide();

                contato.prop('disabled', 'disabled');
                contato.parent().hide();
            } else {
                vendedor.parent().hide();

                tipo.val("");
                tipo.parent().fadeIn(400);

                contato.prop('disabled', false);
                contato.parent().fadeIn(400);
            }
        });

        $("#Atendimentos_RESULTADO").on('change', function() {
            var motivoCancelamento = $("#Atendimentos_CLC_IDMOTIVO_VENDEDOR");
            var interesseReativacao = $("#Atendimentos_CLC_INTERESSE_REATIVACAO");
            var modificadoContrato = $("#Atendimentos_CLC_MODIFICADO_CONTRATO");

            motivoCancelamento.val("");
            interesseReativacao.val("");
            modificadoContrato.val("");
            motivoCancelamento.parent().hide();
            modificadoContrato.parent().hide();
            interesseReativacao.parent().hide();

            if ($(this).val() == "{$negativo}") {
                motivoCancelamento.parent().fadeIn(400);
                interesseReativacao.parent().fadeIn(400);
            }
            if ($(this).val() == "{$positivo}") {
                modificadoContrato.parent().fadeIn(400);
            }
        });
    });
JAVASCRIPT;
$cs->registerScript(Util::uid(), $script);
